# [BETA] Update an existing context field PUT https://app.unleash-instance.example.com/api/admin/projects/{projectId}/context/{contextField} Content-Type: application/json **[BETA]** This API is in beta state, which means it may change or be removed in the future. Endpoint that allows updating a custom context field. Used to toggle stickiness and add/remove legal values for this context field Reference: https://docs.getunleash.io/api/update-context-field-for-project ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: '[BETA] Update an existing context field' version: endpoint_context.updateContextFieldForProject paths: /api/admin/projects/{projectId}/context/{contextField}: put: operationId: update-context-field-for-project summary: '[BETA] Update an existing context field' description: >- **[BETA]** This API is in beta state, which means it may change or be removed in the future. Endpoint that allows updating a custom context field. Used to toggle stickiness and add/remove legal values for this context field tags: - - subpackage_context parameters: - name: projectId in: path required: true schema: type: string - name: contextField in: path required: true schema: type: string - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: This response has no body. content: application/json: schema: $ref: >- #/components/schemas/Context_updateContextFieldForProject_Response_200 requestBody: description: updateContextFieldSchema content: application/json: schema: $ref: '#/components/schemas/updateContextFieldSchema' components: schemas: legalValueSchema: type: object properties: value: type: string description: The valid value description: type: string description: Describes this specific legal value required: - value updateContextFieldSchema: type: object properties: description: type: string description: A description of the context field stickiness: type: boolean description: >- `true` if this field should be available for use with [custom stickiness](https://docs.getunleash.io/concepts/stickiness#custom-stickiness), otherwise `false` sortOrder: type: integer description: >- How this context field should be sorted if no other sort order is selected legalValues: type: array items: $ref: '#/components/schemas/legalValueSchema' description: A list of allowed values for this context field project: type: string description: >- The project this context field belongs to (if it is project-specific) Context_updateContextFieldForProject_Response_200: type: object properties: {} ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/projects/projectId/context/contextField" payload = {} headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/projects/projectId/context/contextField'; const options = { method: 'PUT', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/projects/projectId/context/contextField" payload := strings.NewReader("{}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/projects/projectId/context/contextField") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://app.unleash-instance.example.com/api/admin/projects/projectId/context/contextField") .header("Authorization", "") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('PUT', 'https://app.unleash-instance.example.com/api/admin/projects/projectId/context/contextField', [ 'body' => '{}', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/projects/projectId/context/contextField"); var request = new RestRequest(Method.PUT); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/projects/projectId/context/contextField")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```